## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global date 20221223
%global commit 95d2ac8fb9027b7908d201e4ce807a5b338f923a
%global shortcommit %(c=%{commit}; echo ${c:0:7})

%global pypi_name samloader

Name:           python-%{pypi_name}
Version:        0.4~%{date}git%{shortcommit}
Release:        %autorelease
Summary:        Download Samsung firmware from official servers

License:        GPL-3.0-or-later
URL:            https://github.com/nlscc/samloader
Source:         %{url}/archive/%{commit}/%{pypi_name}-%{commit}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
samloader is a tool to download firmware for Samsung devices from the official
servers.}

%description %_description

%package -n %{pypi_name}
Summary:        %{summary}

%description -n %{pypi_name} %_description

%prep
%autosetup -p1 -n %{pypi_name}-%{commit}

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%pyproject_check_import %{pypi_name}

%files -n %{pypi_name} -f %{pyproject_files}
%license COPYING
%doc README.md
%{_bindir}/%{pypi_name}

%changelog
## START: Generated by rpmautospec
* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4~20221223git95d2ac8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4~20221223git95d2ac8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.4~20221223git95d2ac8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jun 14 2023 Python Maint <python-maint@redhat.com> - 0.4~20221223git95d2ac8-2
- Rebuilt for Python 3.12

* Wed Feb 22 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 0.4~20221223git95d2ac8-1
- Update to git snapshot 95d2ac8

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 14 2022 Python Maint <python-maint@redhat.com> - 0-3
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Dec 29 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0-1
- Initial import; Fixes: RHBZ#2035504
## END: Generated by rpmautospec
